Updated plugin: AVH Extended Categories Widgets 3.0

Version 3.0 of the AVH Extended Categories Widgets has been released.

What is new.

  • Bugfix: The hierarchy check mark in the widgets would disappear.
  • Bugfix: In drop down list the hierarchy would appear despite the fact that “Show selected categories only” was selected.
  • Bugfix: Validation error on drop down categories.
  • Bugfix: Saving the option didn’t work
  • Bugfix: Undefined function
  • Renamed the plug-in to AVH Extended Categories Widgets
  • Added new widget: Category Group. You can create groups with categories and associate the group with a post. The widget will show the categories from the group.
  • Added translation: Italian – Italiano (it_IT)
  • Added css file for widgets. Using the CSS you can change the layout of the text.
  • Redid settings. Settings are now a separate menu.
  • Reduced memory foot print.
  • Increased speed.
  • Development improvements.
  • Added uninstall capability.
  • Added translation: Spanish – Español (es_ES)
  • Note: Some of the translations are not yet complete with version 3.0.

This article is filed under the categories WordPress » Plugin and has the following tags associated with it: , .
  • After the update, the plugin crashed all the admin.

    Luckly, the website front is ok.

    This is the error it shows:

    Fatal error: Call to undefined function add_meta_box() in /home/pensaric/public_html/wp-content/plugins/extended-categories-widget/2.8/class/avh-ec.admin.php on line 42

  • I got the same fatal error as the above person “Rics”.

  • The problem is I don’t know what to do now. Can I simply delete the plugin directory from the server? The update didn’t mess with database??? Where can I download the stable version again??

  • dave

    first help
    comment line 42, 43 with //

  • I just released a bugfix version 3.0.1
    I do apologize for the major problem and I’m not sure why the problem didn’t occur on my test machine as it is surely would have.

    • pashajobs

      I got an error that crashed my blog after installing the latest version (3.1)

      this is the error message:

      Warning: require(/home1/supercai/public_html/pashajobsdotcom/wp-content/plugins//2.8/avh-ec.client.php) [function.require]: failed to open stream: No such file or directory in /home1/supercai/public_html/pashajobsdotcom/wp-content/plugins/extended-categories-widget/widget_extended_categories.php on line 41

      Fatal error: require() [function.require]: Failed opening required ‘/home1/supercai/public_html/pashajobsdotcom/wp-content/plugins//2.8/avh-ec.client.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home1/supercai/public_html/pashajobsdotcom/wp-content/plugins/extended-categories-widget/widget_extended_categories.php on line 41

      Please tell me how to solve it or even uninstall it. Removing the plugin folder from wb-content didn’t work

      Thanks in advance

      • What version of WordPress are you running?
        Removing the directory /home1/supercai/public_html/pashajobsdotcom/wp-content/plugins/extended-categories-widget/ should solve the problem.

        • pashajobs

          I’m running a development version (3.0-beta1)

          I removed it, and even try to upload it again.. but it’s the same error message everytime

          • pashajobs

            and thanks for your fast reply 🙂

          • AVH Extended categories version 3.1 is not compatible with WordPress 3.x .
            I have a updated version, including bugfixes and two RFC’s, that is compatible. If I don’t run into any major bugs it will be released in the next few days.

        • pashajobs

          Good to hear that, but i still have the same problem

          Could you please give me the updated version, as it is, so i can log into my wp-admin panel to deactivate the plugin for untill you release the final update?

          Or any other solution else, just to be able to get the blog back

          Thanks

          • pashajobs

            Problem solved, after uploading the “2.8” folder to plugins; then removing the both directories together

download